/*
 * Navbar
 *
 */

/**
 * @prop --z-index: The z-index of the Navbar.
 */

:host {
  --z-index: 3;

  position: fixed;
  bottom: 0;
  left: 0;
  z-index: var(--z-index);
  box-sizing: border-box;
  display: flex;
  align-items: center;
  width: 100%;
  height: 5.125rem;
  padding-left: 0;
  margin: 0;
  text-align: center;
  user-select: none;
  background-color: var(--road-surface);
  border-top: 1px solid var(--road-outline-weak);
}

@media (max-width: 576px) {

  :host {
    overflow-x: auto;
  }
}

@media (min-width: 1200px) {

  :host {
    flex-direction: column;
    align-items: flex-start;
    width: 260px;
    height: 100%;
    padding: var(--road-spacing-05);
    text-align: left;
    border-top: 0;
    border-right: 1px solid var(--road-outline-weak);
    justify-content: space-between;
    height: 100%;
  }
}


/**
 * Button save drawer.
 */

::slotted(.drawer-button-save) {
  position: absolute;
  bottom: 0;
  width: 100%;
}

.button-native {
  position: relative;
  display: flex;
  flex-flow: row nowrap;
  flex-shrink: 0;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  padding: var(--padding-end) var(--padding-end) var(--padding-start) 0;
  margin: 0;
  font-family: inherit;
  font-size: inherit;
  font-style: inherit;
  font-weight: inherit;
  color: inherit;
  text-align: inherit;
  text-decoration: none;
  text-indent: inherit;
  text-overflow: inherit;
  text-transform: inherit;
  letter-spacing: inherit;
  white-space: inherit;
  cursor: pointer;
  background: transparent;
  border: none;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}


/**
 * Compact
 */

@media (min-width: 1200px) {

  :host(.compact){
    max-width: 5.5rem;
  }

  .compact ::slotted(.compact-container){
    max-width: 3.5rem;
  }

  .compact ::slotted(.compact-container) .compact-logo{
    justify-content: center;
  }

}
